Skip to main content
`Ctrl`+`K`

# NEPWhich

Determines which part of the spectrum is requested.

## Synopsis

    typedef enum { NEP_LARGEST_MAGNITUDE  = 1,
                   NEP_SMALLEST_MAGNITUDE = 2,
                   NEP_LARGEST_REAL       = 3,
                   NEP_SMALLEST_REAL      = 4,
                   NEP_LARGEST_IMAGINARY  = 5,
                   NEP_SMALLEST_IMAGINARY = 6,
                   NEP_TARGET_MAGNITUDE   = 7,
                   NEP_TARGET_REAL        = 8,
                   NEP_TARGET_IMAGINARY   = 9,
                   NEP_ALL                = 10,
                   NEP_WHICH_USER         = 11 } NEPWhich;

## Values

- `NEP_LARGEST_MAGNITUDE` - largest \(|\lambda|\)

- `NEP_SMALLEST_MAGNITUDE` - smallest \(|\lambda|\)

- `NEP_LARGEST_REAL` - largest \(\mathrm{Re}(\lambda)\)

- `NEP_SMALLEST_REAL` - smallest \(\mathrm{Re}(\lambda)\)

- `NEP_LARGEST_IMAGINARY` - largest \(\mathrm{Im}(\lambda)\)

- `NEP_SMALLEST_IMAGINARY` - smallest \(\mathrm{Im}(\lambda)\)

- `NEP_TARGET_MAGNITUDE` - smallest \(|\lambda-\tau|\)

- `NEP_TARGET_REAL` - smallest \(|\mathrm{Re}(\lambda-\tau)|\)

- `NEP_TARGET_IMAGINARY` - smallest \(|\mathrm{Im}(\lambda-\tau)|\)

- `NEP_ALL` - all \(\lambda\in\Omega\)

- `NEP_WHICH_USER` - user-defined sorting criterion

## Notes

The target \(\tau\) is a scalar value provided with `NEPSetTarget()`.

The case `NEP_ALL` needs a region \(\Omega\) specified with an `RG` object.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetWhichEigenpairs()`, `NEPSetTarget()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages